# parsl.launchers.GnuParallelLauncher

class parsl.launchers.GnuParallelLauncher(debug: bool = True)

  Worker launcher that wraps the user’s command with the framework to launch multiple command invocations via GNU parallel sshlogin.

  This wrapper sets the bash env variable CORES to the number of cores on the machine.

  This launcher makes the following assumptions:

  - GNU parallel is installed and can be located in $PATH

  - Paswordless SSH login is configured between the controller node and the target nodes.

  - The provider makes available the $PBS_NODEFILE environment variable

  __init__(debug: bool = True)

  Methods

  `__init__`([debug]) |